package com.develop.food.base.manager

object WifiManager {

    fun getWifiLevel(rssi: Int): WifiLevel {
        var level = WifiLevel.EXTREMELY
        if (-55 < rssi && rssi <= 1) {
            level = WifiLevel.HEIGHT
        } else if (-67 <= rssi && rssi < 55) {
            level = WifiLevel.GENERAL
        } else if (-78 <= rssi && rssi < -67) {
            level = WifiLevel.LOW
        } else if (-88 <= rssi && rssi < -78) {
            level = WifiLevel.EXTREMELY
        }
        return level
    }
}

enum class WifiLevel {
    HEIGHT,
    GENERAL,
    LOW,
    EXTREMELY,
    NONE
}